/**
 * Created by shadeeka on 12/4/15.
 */
angular.module('app.services')
// =========================================================================
// Event mediator service
// =========================================================================
.factory('eventMediator', [ '$log','$http', function ($log ,$http) {

  return {
    //check pre-conditions before proceed with the event
    checkPreConditions: function () {
      $log.debug("eventMediatorService : checkPreConditions");
    },

    //process event
    process: function (data) {
      $log.debug("eventMediatorService : process ", data);
    },


    enableLogin: function(){
      propertyCache.isAddStyleUserLoggedIn = false;
      $state.go("login");
    }

  };



}]);
